# EFT

Create a receiver account for paying an EFT CAD Payment

## Create a New EFT Receiver Account

<mark style="color:orange;">`POST`</mark> `/api/receiver-account/cad/eft`

**Headers**

| Name        | Value     |
| ----------- | --------- |
| `x-api-key` | `<token>` |
| `signature` | `<token>` |

**Body**

| Name                                               | Type    | Description                                   |
| -------------------------------------------------- | ------- | --------------------------------------------- |
| `receiver_id`<mark style="color:red;">\*</mark>    | string  | Receiver ID of receiver account.              |
| `routing_number`<mark style="color:red;">\*</mark> | string  | Routing Number of the Receiver's bank account |
| `account_number`<mark style="color:red;">\*</mark> | integer | Account Number of the Receiver's bank account |
| `account_type`<mark style="color:red;">\*</mark>   | string  | "checking" or "savings" only                  |

&#x20;<mark style="color:red;">\*</mark> is mandatory parameter

#### Example body request

```json
{
    "receiver_id": "a2bb66db-7067-44a2-8067-1393b682bc75",
    "routing_number": "000102959", // 9 digits and startig with '0'
    "account_number": "123456789", // 9 digits
    "account_type": "checking" // Can be either "checking" or "savings"
}
```

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "message": "Receiver account created successfully",
    "payload": {
        "receiver_account_id": "c7ded40b-1524-49f4-ae3f-ee974cbe6fdd",
        "receiver_id": "a2bb66db-7067-44a2-8067-1393b682bc75",
        "status": "pending",
        "confirm_status": "unconfirmed"
    }
}
```

{% endtab %}

{% tab title="400" %}

```json
{
    "message": "There was an error while creating a receiver account",
    "error": [
        {
            "code": "REAC211",
            "message": "Receiver ID is not valid"
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payswiftly.io/payout-api/receiver/add-receiver-account/canada-cad/eft.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
